import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationChannelSchema } from '../enums/CommunicationChannel.schema'

const makeSchema = () => z.object({
  set: CommunicationChannelSchema.optional()
}).strict();
export const EnumCommunicationChannelFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumCommunicationChannelFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumCommunicationChannelFieldUpdateOperationsInput>;
export const EnumCommunicationChannelFieldUpdateOperationsInputObjectZodSchema = makeSchema();
